Bug 976781 - *_builder_file name is misleading, need to use exact names
*_builder_file name is misleading, need to use exact names
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Installation_and_Configuration_Guide (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: 4.0
Assigned To: Summer Long
: Documentation
Depends On:
Blocks: 1011085
  Show dependency treegraph
Reported: 2013-06-21 08:44 EDT by Attila Darazs
Modified: 2013-09-24 13:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Build: CSProcessor Builder Version 1.10 Build Name: 15807, Installation and Configuration Guide-3-1 Build Date: 12-06-2013 09:31:52 Topic ID: 16079-459260 [Latest]
Last Closed: 2013-06-24 16:03:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Attila Darazs 2013-06-21 08:44:46 EDT
Title: Building Object Storage Service Ring Files

Describe the issue:
The documentation does not produce a working swift installation if one does not specify exactly the right name for object_builder_file, container_builder_file and account_builder_file.

First, it's hard to see that this is in italic and should be replaced by something, so I used these exact names, that resulted in the following files:

[root@localhost swift(keystone_admin)]# ls /etc/swift/*builder*
/etc/swift/account_builder_file  /etc/swift/account_builder_file.ring.gz  /etc/swift/container_builder_file  /etc/swift/container_builder_file.ring.gz  /etc/swift/object_builder_file  /etc/swift/object_builder_file.ring.gz

These are not the default filenames for swift, and it is not mentioned anywhere that if you use a custom name for these, then where to set swift to use them.

As a result, openstack-swift-proxy does not start up, because it does not find the ring files (from /var/log/swift-startup.log):

IOError: [Errno 2] No such file or directory: '/etc/swift/object.ring.gz'

Suggestions for improvement:

Use the "account.builder", "container.builder", "object.builder" file names in the documentation, without italic, because you're not providing a way to customize their names anyway.

# ls /etc/swift/*gz 
/etc/swift/account.ring.gz  /etc/swift/container.ring.gz  /etc/swift/object.ring.gz

Additional information:

Related issue at the same page:

At the output of the ls command for checking for the files, the example files are missing the ".ring" part, that will be automatically put there by the ring-builder.

Suggestion: Change the sample output of the ls command below to a correct one. With the recommended changes it would look like this:

$ ls /etc/swift/*gz 
/etc/swift/account.ring.gz  /etc/swift/container.ring.gz  /etc/swift/object.ring.gz
Comment 1 Stephen Gordon 2013-06-21 08:50:34 EDT
I believe this is a dupe of tech review feedback Summer already actioned but assigning to her to confirm and close if necessary.
Comment 5 Attila Darazs 2013-06-24 05:01:51 EDT
Looks okay in the latest version. Thank you.

Note You need to log in before you can comment on or make changes to this bug.